Bug 451896 - After suspend-resume, kacpi_notify and kacpi thrash CPU
After suspend-resume, kacpi_notify and kacpi thrash CPU
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
All Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-17 20:24 EDT by Richard Guest
Modified: 2009-07-15 05:59 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-15 04:24:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg after boot and suspend-resume a coupld of times (32.74 KB, application/octet-stream)
2008-06-17 20:24 EDT, Richard Guest
no flags Details
dmesg from working kernel-2.6.25.4-30 (28.83 KB, application/octet-stream)
2008-06-17 20:25 EDT, Richard Guest
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 451399 None None None Never

  None (edit)
Description Richard Guest 2008-06-17 20:24:14 EDT
Description of problem:
On Latitude D610, kacpid and kacpi_notify thrash CPU after resume from suspend.

Version-Release number of selected component (if applicable):
kernel-2.6.25.6-55.fc9.i686
earlier kernel-2.6.25.4-30.fc9.i686 works fine!

How reproducible:
100%

Steps to Reproduce:
1. using kernel-2.6.25.6-55.fc9.i686, suspend
2. resume
3. watch [kacpi_notify] and [kacpid] thrash CPU in top...

Additional info:
Problem only encountered after suspend and resume.
I can't find any evidence of any strange acpi events/messages in any logs.

To confirm it wasn't an X or gnome related problem, I booted to run level 1 and
3 and used pm-suspend to suspend and resume and experienced the same CPU
thrashing problem.

The only way to solve this is with a reboot.

No problems what-so-ever using the previous kernel-2.6.25.4-30.fc9.i686.
Comment 1 Richard Guest 2008-06-17 20:24:14 EDT
Created attachment 309685 [details]
dmesg after boot and suspend-resume a coupld of times
Comment 2 Richard Guest 2008-06-17 20:25:18 EDT
Created attachment 309686 [details]
dmesg from working kernel-2.6.25.4-30

I'm not entirely sure how useful this will be. But I thought I'd add it for
comparison...
Comment 3 Richard Guest 2008-06-25 23:17:53 EDT
acpi_listen doesn't shed any light on the situation either:

$ acpi_listen 
button/sleep SBTN 00000080 00000001
ac_adapter AC 00000080 00000001
battery BAT0 00000081 00000001
battery BAT1 00000081 00000001
battery BAT0 00000080 00000001
battery BAT1 00000080 00000001
Comment 4 Mats Nilsson 2008-06-26 12:19:16 EDT
Same problem mwith a Dell Latitude D820, running 2.6.25.6-55.fc9.x86_64.

the kerneloops-applet triggers and dmesg contains this:

BUG: sleeping function called from invalid context at include/asm/semaphore_64.h:104
in_atomic():0, irqs_disabled():1
Pid: 66, comm: kacpi_notify Tainted: P         2.6.25.6-55.fc9.x86_64 #1

Call Trace:
 [<ffffffff8102a552>] __might_sleep+0xb4/0xb6
 [<ffffffff811575d6>] acpi_os_wait_semaphore+0x78/0xf0
 [<ffffffff8116efc1>] acpi_ut_acquire_mutex+0x3e/0x82
 [<ffffffff81163eee>] acpi_ex_enter_interpreter+0xb/0x2b
 [<ffffffff8116672d>] acpi_evaluate_object+0x1c8/0x1ff
 [<ffffffff81157f31>] acpi_evaluate_integer+0x93/0xd1
 [<ffffffff880dfcb0>] :libata:ata_acpi_handle_hotplug+0xdb/0x227
 [<ffffffff8116ff7f>] ? acpi_bus_get_status+0x39/0x90
 [<ffffffff8116623a>] ? acpi_get_data+0x5e/0x70
 [<ffffffff81170024>] ? acpi_bus_check_device+0x4e/0x77
 [<ffffffff81157665>] ? acpi_os_execute_deferred+0x0/0x39
 [<ffffffff880dfe31>] :libata:ata_acpi_dev_notify+0x18/0x1a
 [<ffffffff8115d42f>] acpi_ev_notify_dispatch+0x5f/0x6c
 [<ffffffff81157691>] acpi_os_execute_deferred+0x2c/0x39
 [<ffffffff810434a5>] run_workqueue+0x84/0x10c
 [<ffffffff8104360a>] worker_thread+0xdd/0xee
 [<ffffffff81046b0b>] ? autoremove_wake_function+0x0/0x38
 [<ffffffff8104352d>] ? worker_thread+0x0/0xee
 [<ffffffff810467eb>] kthread+0x49/0x76
 [<ffffffff8100ccf8>] child_rip+0xa/0x12
 [<ffffffff810467a2>] ? kthread+0x0/0x76
 [<ffffffff8100ccee>] ? child_rip+0x0/0x12

Comment 5 Christian Krause 2008-06-30 09:25:12 EDT
Same problem here:
- Dell Latitude 610
- kernel: 2.6.25.6-55.fc9.i686
I'd like to help to track down the problem, so if there is anything to test or
to try out, please tell me...
Comment 6 Richard Guest 2008-06-30 19:23:30 EDT
I've investigated further, but I can't find anything useful to add. I've tried
the debug kernel and got nowhere.
It doesn't oops or anything. It just resumes and eats CPU cycles.

Very frustrating!
Comment 7 Richard Guest 2008-07-03 03:17:45 EDT
Problem still apparent in kernel-2.6.25.9-76.fc9.i686

HELP!?
Comment 8 Mats Nilsson 2008-07-03 05:39:44 EDT
Note: The vanilla kernels 2.6.25.6 and 2.6.25.9 do not exhibit this problem.
Comment 9 Richard Guest 2008-07-17 09:39:53 EDT
Still apparent in kernel-2.6.25.10-86.fc9.i686
Comment 10 Dmitry Teytelman 2008-07-17 14:57:56 EDT
Fedora 8 on Dell Latitude D610 running tuxonice series of kernels:

kernel-tuxonice-2.6.25.4-10_1.cubbi_tuxonice.fc8 - no problems
kernel-tuxonice-2.6.25.6-27_1.cubbi_tuxonice.fc8 - kacpi issue shows up
kernel-tuxonice-2.6.25.9-40_1.cubbi_tuxonice.fc8 - same problem
kernel-tuxonice-2.6.25.10-47_1.cubbi_tuxonice.fc8 - problem seems to be fixed
Comment 11 Christian Krause 2008-07-18 04:30:01 EDT
(In reply to comment #10)
> Fedora 8 on Dell Latitude D610 running tuxonice series of kernels:
> kernel-tuxonice-2.6.25.10-47_1.cubbi_tuxonice.fc8 - problem seems to be fixed

I've tried 2.6.25.10-86.fc9 and the problem is still there (F9, Dell Latitude
D610). So unfortunately at least Fedora's 2.6.25.10 kernel doesn't solve the
problem so far...

Comment 12 Nicolas A. Barriga 2008-07-22 01:48:21 EDT
Is work going on in this bug? Is there a way to help? I'm willing to test 
kernels with possible fixes.

To which version should I go back if I really need to be able to suspend/resume 
without problems? kernel-2.6.25.4-30.fc9.i686 or the latest vanilla kernel?
Comment 13 Matthias Scheutz 2008-07-22 14:36:50 EDT
I'm running 2.6.25.10-47.fc8 on a Dell D830 and after resume I'm still seeing
about 70% of CPU wasted by kacpi_notfiy and kacpid:
 
   68 root      15  -5     0    0    0 S   41  0.0   0:07.52 kacpi_notify
   67 root      15  -5     0    0    0 S   31  0.0   0:08.28 kacpid

Here is the relevant part from dmesg after resume:

Jul 22 14:23:31 hri kernel: Intel machine check architecture supported.
Jul 22 14:23:31 hri kernel: Intel machine check reporting enabled on CPU#0.
Jul 22 14:23:31 hri kernel: Enabling non-boot CPUs ...
Jul 22 14:23:31 hri kernel: SMP alternatives: switching to SMP code
Jul 22 14:23:31 hri kernel: Booting processor 1/1 ip 4000
Jul 22 14:23:31 hri kernel: CPU 1 irqstacks, hard=c07bd000 soft=c079d000
Jul 22 14:23:31 hri kernel: Initializing CPU#1
Jul 22 14:23:31 hri kernel: Calibrating delay using timer specific routine..
4788.05 BogoMIPS (lpj=2394028)
Jul 22 14:23:31 hri kernel: CPU: L1 I cache: 32K, L1 D cache: 32K
Jul 22 14:23:31 hri kernel: CPU: L2 cache: 4096K
Jul 22 14:23:31 hri kernel: CPU: Physical Processor ID: 0
Jul 22 14:23:31 hri kernel: CPU: Processor Core ID: 1
Jul 22 14:23:31 hri kernel: Intel machine check architecture supported.
Jul 22 14:23:31 hri kernel: Intel machine check reporting enabled on CPU#1.
Jul 22 14:23:31 hri kernel: CPU1: Intel(R) Core(TM)2 Duo CPU     T7700  @
2.40GHz stepping 0a
Jul 22 14:23:31 hri kernel: CPU1 is up
Jul 22 14:23:31 hri kernel: ACPI: PCI Interrupt 0000:00:02.0[A] -> GSI 16
(level, low) -> IRQ 16
Jul 22 14:23:31 hri kernel: ACPI: PCI Interrupt 0000:00:1a.0[A] -> GSI 20
(level, low) -> IRQ 20
Jul 22 14:23:31 hri kernel: usb usb3: root hub lost power or was reset
Jul 22 14:23:31 hri kernel: ACPI: PCI Interrupt 0000:00:1a.1[B] -> GSI 21
(level, low) -> IRQ 21
Jul 22 14:23:31 hri kernel: usb usb4: root hub lost power or was reset
Jul 22 14:23:31 hri kernel: ACPI: PCI Interrupt 0000:00:1a.7[C] -> GSI 22
(level, low) -> IRQ 22
Jul 22 14:23:31 hri kernel: usb usb1: root hub lost power or was reset
Jul 22 14:23:31 hri kernel: ehci_hcd 0000:00:1a.7: debug port 1
Jul 22 14:23:31 hri kernel: ACPI: PCI Interrupt 0000:00:1b.0[A] -> GSI 21
(level, low) -> IRQ 21
Jul 22 14:23:31 hri kernel: ACPI: PCI Interrupt 0000:00:1d.0[A] -> GSI 20
(level, low) -> IRQ 20
Jul 22 14:23:31 hri kernel: usb usb5: root hub lost power or was reset
Jul 22 14:23:31 hri kernel: ACPI: PCI Interrupt 0000:00:1d.1[B] -> GSI 21
(level, low) -> IRQ 21
Jul 22 14:23:31 hri kernel: usb usb6: root hub lost power or was reset
Jul 22 14:23:31 hri kernel: ACPI: PCI Interrupt 0000:00:1d.2[C] -> GSI 22
(level, low) -> IRQ 22
Jul 22 14:23:31 hri kernel: usb usb7: root hub lost power or was reset
Jul 22 14:23:31 hri kernel: ACPI: PCI Interrupt 0000:00:1d.7[A] -> GSI 20
(level, low) -> IRQ 20
Jul 22 14:23:31 hri kernel: usb usb2: root hub lost power or was reset
Jul 22 14:23:31 hri kernel: ehci_hcd 0000:00:1d.7: debug port 1
Jul 22 14:23:31 hri kernel: ACPI: PCI Interrupt 0000:00:1f.1[A] -> GSI 16
(level, low) -> IRQ 16
Jul 22 14:23:31 hri kernel: ata5.00: _GTF evaluation failed (AE 0x1001)
Jul 22 14:23:31 hri kernel: ata5.01: _GTF evaluation failed (AE 0x1001)
Jul 22 14:23:31 hri kernel: ACPI: PCI Interrupt 0000:00:1f.2[B] -> <4>ata4.01:
_GTF evaluation failed (AE 0x1001)
Jul 22 14:23:31 hri kernel: GSI 17 (level, low) -> IRQ 17
Jul 22 14:23:31 hri kernel: tg3: eth0: Link is down.
Jul 22 14:23:31 hri kernel: Yenta O2: res at 0x94/0xD4: 00/ea
Jul 22 14:23:31 hri kernel: Yenta O2: enabling read prefetch/write burst
Jul 22 14:23:31 hri kernel: serial 00:09: activated
Jul 22 14:23:31 hri kernel: ata3: SATA link down (SStatus 0 SControl 300)
Jul 22 14:23:31 hri kernel: ata1: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
Jul 22 14:23:31 hri kernel: ata1.00: configured for UDMA/100
Jul 22 14:23:31 hri kernel: sd 0:0:0:0: [sda] 312581808 512-byte hardware
sectors (160042 MB)
Jul 22 14:23:31 hri kernel: sd 0:0:0:0: [sda] Write Protect is off
Jul 22 14:23:31 hri kernel: sd 0:0:0:0: [sda] Write cache: enabled, read cache:
enabled, doesn't support DPO or FUA
Jul 22 14:23:31 hri kernel: tg3: eth0: Link is up at 100 Mbps, full duplex.
Jul 22 14:23:31 hri kernel: tg3: eth0: Flow control is off for TX and off for RX.
Jul 22 14:23:31 hri kernel: sd 0:0:0:0: [sda] Starting disk
Jul 22 14:23:31 hri kernel: Restarting tasks ... done.
Jul 22 14:23:32 hri kernel: hub 1-0:1.0: unable to enumerate USB device on port 2
Jul 22 14:23:32 hri kernel: BUG: sleeping function called from invalid context
at include/asm/semaphore_32.h:98
Jul 22 14:23:32 hri kernel: in_atomic():0, irqs_disabled():1
Jul 22 14:23:32 hri kernel: Pid: 68, comm: kacpi_notify Not tainted
2.6.25.10-47.fc8 #1
Jul 22 14:23:32 hri kernel:  [<c041e31d>] __might_sleep+0xb3/0xba
Jul 22 14:23:32 hri kernel:  [<c051a6b0>] acpi_os_wait_semaphore+0x70/0xd5
Jul 22 14:23:32 hri kernel:  [<c052f98f>] acpi_ut_acquire_mutex+0x36/0x77
Jul 22 14:23:32 hri kernel:  [<c0525a4a>] acpi_ex_enter_interpreter+0xa/0x25
Jul 22 14:23:32 hri kernel:  [<c0527e1d>] acpi_evaluate_object+0x1b3/0x1de
Jul 22 14:23:32 hri kernel:  [<c051aa5c>] acpi_evaluate_integer+0x80/0xb3
Jul 22 14:23:32 hri kernel:  [<f8a11857>] ata_acpi_handle_hotplug+0xad/0x1e0
[libata]
Jul 22 14:23:32 hri kernel:  [<c051a06a>] ? acpi_os_execute_deferred+0x0/0x2c
Jul 22 14:23:32 hri kernel:  [<c0530c49>] ? acpi_bus_get_status+0x31/0x83
Jul 22 14:23:32 hri kernel:  [<c0530cde>] ? acpi_bus_check_device+0x43/0x67
Jul 22 14:23:32 hri kernel:  [<c051a06a>] ? acpi_os_execute_deferred+0x0/0x2c
Jul 22 14:23:32 hri kernel:  [<f8a119b8>] ata_acpi_dev_notify+0x15/0x1b [libata]
Jul 22 14:23:32 hri kernel:  [<c051f2f2>] acpi_ev_notify_dispatch+0x4f/0x5a
Jul 22 14:23:32 hri kernel:  [<c051a08a>] acpi_os_execute_deferred+0x20/0x2c
Jul 22 14:23:32 hri kernel:  [<c04345e8>] run_workqueue+0x77/0xf9
Jul 22 14:23:32 hri kernel:  [<c0434d4e>] ? worker_thread+0x0/0xbf
Jul 22 14:23:32 hri kernel:  [<c0434e02>] worker_thread+0xb4/0xbf
Jul 22 14:23:32 hri kernel:  [<c0437115>] ? autoremove_wake_function+0x0/0x33
Jul 22 14:23:32 hri kernel:  [<c0437041>] kthread+0x3b/0x62
Jul 22 14:23:32 hri kernel:  [<c0437006>] ? kthread+0x0/0x62
Jul 22 14:23:32 hri kernel:  [<c04067af>] kernel_thread_helper+0x7/0x10
Jul 22 14:23:32 hri kernel:  =======================

The last part about the BUG (sleeping function called from invalid context)
keeps repeating every so often:

Jul 22 14:23:42 hri kcheckpass[3730]: Authentication failure for mscheutz
(invoked by uid 500)
Jul 22 14:25:31 hri kernel: BUG: sleeping function called from invalid context
at include/asm/semaphore_32.h:98
Jul 22 14:25:31 hri kernel: in_atomic():0, irqs_disabled():1
Jul 22 14:25:31 hri kernel: Pid: 68, comm: kacpi_notify Not tainted
2.6.25.10-47.fc8 #1
Jul 22 14:25:31 hri kernel:  [<c041e31d>] __might_sleep+0xb3/0xba
Jul 22 14:25:31 hri kernel:  [<c051a6b0>] acpi_os_wait_semaphore+0x70/0xd5
Jul 22 14:25:31 hri kernel:  [<c052f98f>] acpi_ut_acquire_mutex+0x36/0x77
Jul 22 14:25:31 hri kernel:  [<c0525a4a>] acpi_ex_enter_interpreter+0xa/0x25
Jul 22 14:25:31 hri kernel:  [<c0527e1d>] acpi_evaluate_object+0x1b3/0x1de
Jul 22 14:25:31 hri kernel:  [<c051aa5c>] acpi_evaluate_integer+0x80/0xb3
Jul 22 14:25:31 hri kernel:  [<f8a11857>] ata_acpi_handle_hotplug+0xad/0x1e0
[libata]
Jul 22 14:25:31 hri kernel:  [<c051a06a>] ? acpi_os_execute_deferred+0x0/0x2c
Jul 22 14:25:31 hri kernel:  [<c0530c49>] ? acpi_bus_get_status+0x31/0x83
Jul 22 14:25:31 hri kernel:  [<c0530cde>] ? acpi_bus_check_device+0x43/0x67
Jul 22 14:25:31 hri kernel:  [<c051a06a>] ? acpi_os_execute_deferred+0x0/0x2c
Jul 22 14:25:31 hri kernel:  [<f8a119b8>] ata_acpi_dev_notify+0x15/0x1b [libata]
Jul 22 14:25:31 hri kernel:  [<c051f2f2>] acpi_ev_notify_dispatch+0x4f/0x5a
Jul 22 14:25:31 hri kernel:  [<c051a08a>] acpi_os_execute_deferred+0x20/0x2c
Jul 22 14:25:31 hri kernel:  [<c04345e8>] run_workqueue+0x77/0xf9
Jul 22 14:25:31 hri kernel:  [<c0434d4e>] ? worker_thread+0x0/0xbf
Jul 22 14:25:31 hri kernel:  [<c0434e02>] worker_thread+0xb4/0xbf
Jul 22 14:25:31 hri kernel:  [<c0437115>] ? autoremove_wake_function+0x0/0x33
Jul 22 14:25:31 hri kernel:  [<c0437041>] kthread+0x3b/0x62
Jul 22 14:25:31 hri kernel:  [<c0437006>] ? kthread+0x0/0x62
Jul 22 14:25:31 hri kernel:  [<c04067af>] kernel_thread_helper+0x7/0x10
Jul 22 14:25:31 hri kernel:  =======================
Jul 22 14:26:31 hri kernel: BUG: sleeping function called from invalid context
at include/asm/semaphore_32.h:98
Jul 22 14:26:31 hri kernel: in_atomic():0, irqs_disabled():1
Jul 22 14:26:31 hri kernel: Pid: 68, comm: kacpi_notify Not tainted
2.6.25.10-47.fc8 #1
Jul 22 14:26:31 hri kernel:  [<c041e31d>] __might_sleep+0xb3/0xba
Jul 22 14:26:31 hri kernel:  [<c051a6b0>] acpi_os_wait_semaphore+0x70/0xd5
Jul 22 14:26:31 hri kernel:  [<c052f98f>] acpi_ut_acquire_mutex+0x36/0x77
Jul 22 14:26:31 hri kernel:  [<c0525a4a>] acpi_ex_enter_interpreter+0xa/0x25
Jul 22 14:26:31 hri kernel:  [<c0527e1d>] acpi_evaluate_object+0x1b3/0x1de
Jul 22 14:26:31 hri kernel:  [<c051aa5c>] acpi_evaluate_integer+0x80/0xb3
Jul 22 14:26:31 hri kernel:  [<f8a11857>] ata_acpi_handle_hotplug+0xad/0x1e0
[libata]
Jul 22 14:26:31 hri kernel:  [<c051a06a>] ? acpi_os_execute_deferred+0x0/0x2c
Jul 22 14:26:31 hri kernel:  [<c0530c49>] ? acpi_bus_get_status+0x31/0x83
Jul 22 14:26:31 hri kernel:  [<c0530cde>] ? acpi_bus_check_device+0x43/0x67
Jul 22 14:26:31 hri kernel:  [<c051a06a>] ? acpi_os_execute_deferred+0x0/0x2c
Jul 22 14:26:31 hri kernel:  [<f8a119b8>] ata_acpi_dev_notify+0x15/0x1b [libata]
Jul 22 14:26:31 hri kernel:  [<c051f2f2>] acpi_ev_notify_dispatch+0x4f/0x5a
Jul 22 14:26:31 hri kernel:  [<c051a08a>] acpi_os_execute_deferred+0x20/0x2c
Jul 22 14:26:31 hri kernel:  [<c04345e8>] run_workqueue+0x77/0xf9
Jul 22 14:26:31 hri kernel:  [<c0434d4e>] ? worker_thread+0x0/0xbf
Jul 22 14:26:31 hri kernel:  [<c0434e02>] worker_thread+0xb4/0xbf
Jul 22 14:26:31 hri kernel:  [<c0437115>] ? autoremove_wake_function+0x0/0x33
Jul 22 14:26:31 hri kernel:  [<c0437041>] kthread+0x3b/0x62
Jul 22 14:26:31 hri kernel:  [<c0437006>] ? kthread+0x0/0x62
Jul 22 14:26:31 hri kernel:  [<c04067af>] kernel_thread_helper+0x7/0x10
Jul 22 14:26:31 hri kernel:  =======================
Jul 22 14:27:31 hri kernel: BUG: sleeping function called from invalid context
at include/asm/semaphore_32.h:98
Jul 22 14:27:31 hri kernel: in_atomic():0, irqs_disabled():1
Jul 22 14:27:31 hri kernel: Pid: 68, comm: kacpi_notify Not tainted
2.6.25.10-47.fc8 #1
Jul 22 14:27:31 hri kernel:  [<c041e31d>] __might_sleep+0xb3/0xba
Jul 22 14:27:31 hri kernel:  [<c051a6b0>] acpi_os_wait_semaphore+0x70/0xd5
Jul 22 14:27:31 hri kernel:  [<c052f98f>] acpi_ut_acquire_mutex+0x36/0x77
Jul 22 14:27:31 hri kernel:  [<c0525a4a>] acpi_ex_enter_interpreter+0xa/0x25
Jul 22 14:27:31 hri kernel:  [<c0527e1d>] acpi_evaluate_object+0x1b3/0x1de
Jul 22 14:27:31 hri kernel:  [<c051aa5c>] acpi_evaluate_integer+0x80/0xb3
Jul 22 14:27:31 hri kernel:  [<f8a11857>] ata_acpi_handle_hotplug+0xad/0x1e0
[libata]
Jul 22 14:27:31 hri kernel:  [<c051a06a>] ? acpi_os_execute_deferred+0x0/0x2c
Jul 22 14:27:31 hri kernel:  [<c0530c49>] ? acpi_bus_get_status+0x31/0x83
Jul 22 14:27:31 hri kernel:  [<c0530cde>] ? acpi_bus_check_device+0x43/0x67
Jul 22 14:27:31 hri kernel:  [<c051a06a>] ? acpi_os_execute_deferred+0x0/0x2c
Jul 22 14:27:31 hri kernel:  [<f8a119b8>] ata_acpi_dev_notify+0x15/0x1b [libata]
Jul 22 14:27:31 hri kernel:  [<c051f2f2>] acpi_ev_notify_dispatch+0x4f/0x5a
Jul 22 14:27:31 hri kernel:  [<c051a08a>] acpi_os_execute_deferred+0x20/0x2c
Jul 22 14:27:31 hri kernel:  [<c04345e8>] run_workqueue+0x77/0xf9
Jul 22 14:27:31 hri kernel:  [<c0434d4e>] ? worker_thread+0x0/0xbf
Jul 22 14:27:31 hri kernel:  [<c0434e02>] worker_thread+0xb4/0xbf
Jul 22 14:27:31 hri kernel:  [<c0437115>] ? autoremove_wake_function+0x0/0x33
Jul 22 14:27:31 hri kernel:  [<c0437041>] kthread+0x3b/0x62
Jul 22 14:27:31 hri kernel:  [<c0437006>] ? kthread+0x0/0x62
Jul 22 14:27:31 hri kernel:  [<c04067af>] kernel_thread_helper+0x7/0x10
Jul 22 14:27:31 hri kernel:  =======================
Jul 22 14:29:01 hri kernel: BUG: sleeping function called from invalid context
at include/asm/semaphore_32.h:98
Jul 22 14:29:01 hri kernel: in_atomic():0, irqs_disabled():1
Jul 22 14:29:01 hri kernel: Pid: 68, comm: kacpi_notify Not tainted
2.6.25.10-47.fc8 #1
Jul 22 14:29:01 hri kernel:  [<c041e31d>] __might_sleep+0xb3/0xba
Jul 22 14:29:01 hri kernel:  [<c051a6b0>] acpi_os_wait_semaphore+0x70/0xd5
Jul 22 14:29:01 hri kernel:  [<c052f98f>] acpi_ut_acquire_mutex+0x36/0x77
Jul 22 14:29:01 hri kernel:  [<c0525a4a>] acpi_ex_enter_interpreter+0xa/0x25
Jul 22 14:29:01 hri kernel:  [<c0527e1d>] acpi_evaluate_object+0x1b3/0x1de
Jul 22 14:29:01 hri kernel:  [<c051aa5c>] acpi_evaluate_integer+0x80/0xb3
Jul 22 14:29:01 hri kernel:  [<f8a11857>] ata_acpi_handle_hotplug+0xad/0x1e0
[libata]
Jul 22 14:29:01 hri kernel:  [<c051a06a>] ? acpi_os_execute_deferred+0x0/0x2c
Jul 22 14:29:01 hri kernel:  [<c0530c49>] ? acpi_bus_get_status+0x31/0x83
Jul 22 14:29:01 hri kernel:  [<c0530cde>] ? acpi_bus_check_device+0x43/0x67
Jul 22 14:29:01 hri kernel:  [<c051a06a>] ? acpi_os_execute_deferred+0x0/0x2c
Jul 22 14:29:01 hri kernel:  [<f8a119b8>] ata_acpi_dev_notify+0x15/0x1b [libata]
Jul 22 14:29:01 hri kernel:  [<c051f2f2>] acpi_ev_notify_dispatch+0x4f/0x5a
Jul 22 14:29:01 hri kernel:  [<c051a08a>] acpi_os_execute_deferred+0x20/0x2c
Jul 22 14:29:01 hri kernel:  [<c04345e8>] run_workqueue+0x77/0xf9
Jul 22 14:29:01 hri kernel:  [<c0434d4e>] ? worker_thread+0x0/0xbf
Jul 22 14:29:01 hri kernel:  [<c0434e02>] worker_thread+0xb4/0xbf
Jul 22 14:29:01 hri kernel:  [<c0437115>] ? autoremove_wake_function+0x0/0x33
Jul 22 14:29:01 hri kernel:  [<c0437041>] kthread+0x3b/0x62
Jul 22 14:29:01 hri kernel:  [<c0437006>] ? kthread+0x0/0x62
Jul 22 14:29:01 hri kernel:  [<c04067af>] kernel_thread_helper+0x7/0x10
Jul 22 14:29:01 hri kernel:  =======================
Jul 22 14:30:01 hri kernel: BUG: sleeping function called from invalid context
at include/asm/semaphore_32.h:98
Jul 22 14:30:01 hri kernel: in_atomic():0, irqs_disabled():1
Jul 22 14:30:01 hri kernel: Pid: 68, comm: kacpi_notify Not tainted
2.6.25.10-47.fc8 #1
Jul 22 14:30:01 hri kernel:  [<c041e31d>] __might_sleep+0xb3/0xba
Jul 22 14:30:01 hri kernel:  [<c051a6b0>] acpi_os_wait_semaphore+0x70/0xd5
Jul 22 14:30:01 hri kernel:  [<c052f98f>] acpi_ut_acquire_mutex+0x36/0x77
Jul 22 14:30:01 hri kernel:  [<c0525a4a>] acpi_ex_enter_interpreter+0xa/0x25
Jul 22 14:30:01 hri kernel:  [<c0527e1d>] acpi_evaluate_object+0x1b3/0x1de
Jul 22 14:30:01 hri kernel:  [<c051aa5c>] acpi_evaluate_integer+0x80/0xb3
Jul 22 14:30:01 hri kernel:  [<f8a11857>] ata_acpi_handle_hotplug+0xad/0x1e0
[libata]
Jul 22 14:30:01 hri kernel:  [<c051a06a>] ? acpi_os_execute_deferred+0x0/0x2c
Jul 22 14:30:01 hri kernel:  [<c0530c49>] ? acpi_bus_get_status+0x31/0x83
Jul 22 14:30:01 hri kernel:  [<c0530cde>] ? acpi_bus_check_device+0x43/0x67
Jul 22 14:30:01 hri kernel:  [<c051a06a>] ? acpi_os_execute_deferred+0x0/0x2c
Jul 22 14:30:01 hri kernel:  [<f8a119b8>] ata_acpi_dev_notify+0x15/0x1b [libata]
Jul 22 14:30:01 hri kernel:  [<c051f2f2>] acpi_ev_notify_dispatch+0x4f/0x5a
Jul 22 14:30:01 hri kernel:  [<c051a08a>] acpi_os_execute_deferred+0x20/0x2c
Jul 22 14:30:01 hri kernel:  [<c04345e8>] run_workqueue+0x77/0xf9
Jul 22 14:30:01 hri kernel:  [<c0434d4e>] ? worker_thread+0x0/0xbf
Jul 22 14:30:01 hri kernel:  [<c0434e02>] worker_thread+0xb4/0xbf
Jul 22 14:30:01 hri kernel:  [<c0437115>] ? autoremove_wake_function+0x0/0x33
Jul 22 14:30:01 hri kernel:  [<c0437041>] kthread+0x3b/0x62
Jul 22 14:30:01 hri kernel:  [<c0437006>] ? kthread+0x0/0x62
Jul 22 14:30:01 hri kernel:  [<c04067af>] kernel_thread_helper+0x7/0x10
Jul 22 14:30:01 hri kernel:  =======================
Jul 22 14:34:31 hri kernel: BUG: sleeping function called from invalid context
at include/asm/semaphore_32.h:98
Jul 22 14:34:31 hri kernel: in_atomic():0, irqs_disabled():1
Jul 22 14:34:31 hri kernel: Pid: 68, comm: kacpi_notify Not tainted
2.6.25.10-47.fc8 #1
Jul 22 14:34:31 hri kernel:  [<c041e31d>] __might_sleep+0xb3/0xba
Jul 22 14:34:31 hri kernel:  [<c051a6b0>] acpi_os_wait_semaphore+0x70/0xd5
Jul 22 14:34:31 hri kernel:  [<c052f98f>] acpi_ut_acquire_mutex+0x36/0x77
Jul 22 14:34:31 hri kernel:  [<c0525a4a>] acpi_ex_enter_interpreter+0xa/0x25
Jul 22 14:34:31 hri kernel:  [<c0527e1d>] acpi_evaluate_object+0x1b3/0x1de
Jul 22 14:34:31 hri kernel:  [<c051aa5c>] acpi_evaluate_integer+0x80/0xb3
Jul 22 14:34:31 hri kernel:  [<f8a11857>] ata_acpi_handle_hotplug+0xad/0x1e0
[libata]
Jul 22 14:34:31 hri kernel:  [<c051a06a>] ? acpi_os_execute_deferred+0x0/0x2c
Jul 22 14:34:31 hri kernel:  [<c0530c49>] ? acpi_bus_get_status+0x31/0x83
Jul 22 14:34:31 hri kernel:  [<c0530cde>] ? acpi_bus_check_device+0x43/0x67
Jul 22 14:34:31 hri kernel:  [<c051a06a>] ? acpi_os_execute_deferred+0x0/0x2c
Jul 22 14:34:31 hri kernel:  [<f8a119b8>] ata_acpi_dev_notify+0x15/0x1b [libata]
Jul 22 14:34:31 hri kernel:  [<c051f2f2>] acpi_ev_notify_dispatch+0x4f/0x5a
Jul 22 14:34:31 hri kernel:  [<c051a08a>] acpi_os_execute_deferred+0x20/0x2c
Jul 22 14:34:31 hri kernel:  [<c04345e8>] run_workqueue+0x77/0xf9
Jul 22 14:34:31 hri kernel:  [<c0434d4e>] ? worker_thread+0x0/0xbf
Jul 22 14:34:31 hri kernel:  [<c0434e02>] worker_thread+0xb4/0xbf
Jul 22 14:34:31 hri kernel:  [<c0437115>] ? autoremove_wake_function+0x0/0x33
Jul 22 14:34:31 hri kernel:  [<c0437041>] kthread+0x3b/0x62
Jul 22 14:34:31 hri kernel:  [<c0437006>] ? kthread+0x0/0x62
Jul 22 14:34:31 hri kernel:  [<c04067af>] kernel_thread_helper+0x7/0x10
Jul 22 14:34:31 hri kernel:  =======================

Hope this helps,
Matthias
Comment 14 Kyle McMartin 2008-07-22 14:56:19 EDT
Matthias, thanks, this should be enough to help debug this. I'll try to see if
we can get you a fix quickly.

r, Kyle
Comment 15 Kyle McMartin 2008-07-22 16:09:55 EDT
I just kicked off an F8 & F9 build which should fix this issue. The commit was
3c1e3896344063273715b332b1c0534deb9b286c, and it was caused by a few patches we
had backported from 2.6.26 (but missed this one.)

cheers, Kyle
Comment 16 Richard Guest 2008-07-22 16:30:55 EDT
Cool! So we might have a fixed kernel available in updates-testing soon?

Cheers,
Rich
Comment 17 Richard Guest 2008-07-27 17:06:01 EDT
Ok, so this is still a problem in kernel-2.6.25.11-97.fc9.i686

I'm currently using kernel-2.6.25.4-30.fc9.i686 as it's the last fedora kernel
that doesn't have this bug.

For other watchers of this bug, it is closely related to (in fairness, possibly
a duplicate of) "Bug 451399 Processed:
linux-2.6-libata-acpi-handle-bay-devices-in-dock-stations.patch causes breakage".

Rich
Comment 18 Chuck Ebbert 2008-08-04 09:29:18 EDT
The fix went into 2.6.25.11-99
Comment 19 Fedora Update System 2008-08-04 09:43:36 EDT
kernel-2.6.25.14-107.fc9 has been submitted as an update for Fedora 9
Comment 20 Fedora Update System 2008-08-06 08:17:40 EDT
kernel-2.6.25.14-108.fc9 has been submitted as an update for Fedora 9
Comment 21 Fedora Update System 2008-08-07 19:52:40 EDT
kernel-2.6.25.14-108.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-7043
Comment 22 Nicolas A. Barriga 2008-08-08 15:37:27 EDT
kernel-2.6.25.14-108.fc9 doesn't fix this bug for me.
Comment 23 Christian Krause 2008-08-09 08:10:13 EDT
(In reply to comment #22)
> kernel-2.6.25.14-108.fc9 doesn't fix this bug for me.

Same here. kacpi_notify and kacpid are still trashing the CPU after a resume with 2.6.25.14-108 .
Comment 24 Mihai Harpau 2008-08-09 10:42:29 EDT
For me this bug is fixed for kernel-2.6.25.14-107.fc9 and later. I verified this on an laptop HP Compaq nc6120.
Comment 25 Nicolas A. Barriga 2008-08-09 11:56:31 EDT
Just adding to comment #22:

I tested in a Dell Latitude D820.
Comment 26 Richard Guest 2008-08-10 20:15:14 EDT
Still experiencing this problem with newest kernel-2.6.25.14-108.fc9.i686 on my Dell Latitude D610.
Comment 27 Mihai Harpau 2008-08-12 06:57:40 EDT
I see again this problem with resume from hibernate; on resume from suspend the problem does not apear. So comments from #c24 are not true. Mea culpa :-(
Comment 28 Nicolas A. Barriga 2008-08-12 11:37:46 EDT
For me the problem still exists after resuming from suspend to ram.
Comment 29 Fedora Update System 2008-08-12 14:19:39 EDT
kernel-2.6.25.14-108.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 30 Nicolas A. Barriga 2008-08-12 16:05:28 EDT
Comments #22 and #23 already stated that the porblem still persists.
Comment 31 Mats Nilsson 2008-08-17 11:58:49 EDT
Still a problem for me (2.6.25.14-108.fc9.x86_64, Dell Latitude D820, latest BIOS (A09), nvidia legacy drivers). I don't see the BUG stack trace in dmesg or /var/log/messages anymore, but kacpid and kacpi_notify are still eating CPU after suspend/resume.
Comment 32 Christian Krause 2008-09-09 05:01:59 EDT
Since the problem still exists in 2.6.25.14-108 at least for a couple of Dell Latitude laptops (D820, D610), I'd like to suggest to set the bug to OPEN again.

If there is anything I can do to help to fix the problem, feel free to ask. Let's hope that the problem gets fixed soon. ;-)
Comment 33 Richard Guest 2008-09-09 06:05:36 EDT
Yeah, I second that. I'm still stuck using kernel-2.6.25.4-30.fc9.i686!
Comment 34 Mats Nilsson 2008-09-15 16:32:00 EDT
Still have the problem with 2.6.26.3-29.fc9.x86_64
Comment 35 Richard Guest 2008-09-15 23:54:28 EDT
I've managed to patch kernel-2.6.26.3-29.fc9, with #1,#3 and #4 from the acpi patchset http://marc.info/?l=linux-acpi&m=121988834907742&w=2

See my post here:
https://bugzilla.redhat.com/show_bug.cgi?id=451399#c39
Comment 36 Christian Krause 2008-09-16 07:38:37 EDT
(In reply to comment #35)
> I've managed to patch kernel-2.6.26.3-29.fc9, with #1,#3 and #4 from the acpi
> patchset http://marc.info/?l=linux-acpi&m=121988834907742&w=2
> 
> See my post here:
> https://bugzilla.redhat.com/show_bug.cgi?id=451399#c39

Same here. ;-) These 3 patches solve the problem for my Dell Latitude D610. It would be great if the could be added to Fedora's official kernel packages. Thanks in advance!
Comment 37 Richard Guest 2008-11-13 15:44:17 EST
This has been fixed in the new testing 2.6.27 kernels for me.

I'm currently running kernel-2.6.27.5-32.fc9.i686 from the updates-testing-newkey repo with no issues.
Comment 38 Mats Nilsson 2008-11-17 01:01:39 EST
2.6.27.5-37.fc9.x86_64 still exhibits the problem for me.
Comment 39 Sergio Monteiro Basto 2009-04-16 16:31:32 EDT
I saw this: 
ata1.01: _GTF evaluation failed (AE 0x1001)
after hibernate and resume on 2.6.29.1-68.fc11.i686.PAE recompile in F10
Comment 40 Bug Zapper 2009-06-09 21:40:50 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 41 Bug Zapper 2009-07-15 04:24:58 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.